package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.IUserGroup;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[UserGroup] 服务对象接口
 */
public interface IUserGroupClientService{

    public IUserGroup createModel() ;

    public void create(IUserGroup usergroup);

    public void save(IUserGroup usergroup);

    public void checkKey(IUserGroup usergroup);

    public void getDraft(IUserGroup usergroup);

    public void get(IUserGroup usergroup);

    public void update(IUserGroup usergroup);

    public void remove(IUserGroup usergroup);

    public Page<IUserGroup> fetchDefault(SearchContext context);

}
